Mail Functions
mail
Mail Functions
PHP Manual

# ezmlm_hash

Calculate the hash value needed by EZMLM

### Description

int ezmlm_hash ( string `$addr` )

ezmlm_hash calculates the hash value needed when keeping EZMLM mailing lists in a MySQL database.

### Parameters

`addr`

  The email address that's being hashed.

### Return Values

The hash value of `addr`.

### Examples

Example #1 Calculating the hash and subscribing a user

`<?php
$user = "joecool@example.com";
$hash = ezmlm_hash($user);
$query = sprintf("INSERT INTO sample VALUES (%s, '%s')", $hash, $user);
$db->query($query); // using PHPLIB db interface
?>`